tcf-agent: add the latest version 0.3.0+svnr1078

install a proper script /etc/init.d/tcf-agent
make it autostart in runlevels 3 and 5

Signed-off-by: Qing He <qing.he@intel.com>
Signed-off-by: Dexuan Cui <dexuan.cui@intel.com>
Signed-off-by: Lianhao Lu <lianhao.lu@intel.com>

Signed-off-by: Dexuan Cui <dexuan.cui@intel.com>
This commit is contained in:
Dexuan Cui 2010-07-23 20:23:33 +08:00 committed by Richard Purdie
parent c62be5367c
commit 90e80aafbd
5 changed files with 1155 additions and 0 deletions

View File

@ -102,6 +102,7 @@ SRCREV_pn-ohm ??= "edfe25d49d67884bf004de7ae0724c162bb5e65e"
SRCREV_pn-opkg-utils-native ??= "4747"
SRCREV_pn-opkg-utils ??= "4747"
SRCREV_pn-oprofileui ??= "197"
SRCREV_pn-tcf-agent ??= "1078"
SRCREV_pn-osc-native ??= "9096"
SRCREV_pn-owl-video ??= "394"
SRCREV_pn-pkgconfig ??= "66d49f1375fec838bcd301bb4ca2ef76cee0e47c"

View File

@ -31,6 +31,7 @@ KEXECTOOLS_powerpc ?= ""
RDEPENDS_task-poky-tools-debug = "\
gdb \
gdbserver \
tcf-agent \
strace"
RDEPENDS_task-poky-tools-profile = "\

View File

@ -0,0 +1,92 @@
--- a/Makefile
+++ b/Makefile
@@ -32,7 +32,7 @@
install -d -m 755 $(INSTALLROOT)$(SBIN)
install -d -m 755 $(INSTALLROOT)$(INIT)
install -c $(BINDIR)/agent -m 755 $(INSTALLROOT)$(SBIN)/tcf-agent
- install -c $(TCF_AGENT_DIR)/main/tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
+ install -c tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
clean:
rm -rf $(BINDIR)
--- /dev/null
+++ b/tcf-agent.init
@@ -0,0 +1,78 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: tcf-agent
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: Target Communication Framework agent
+### END INIT INFO
+
+DAEMON_PATH=/usr/sbin/tcf-agent
+DAEMON_NAME=`basename $DAEMON_PATH`
+
+. /etc/init.d/functions
+
+test -x $DAEMON_PATH || exit 0
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+export PATH
+
+RETVAL=0
+
+case "$1" in
+ start)
+ echo -n "Starting $DAEMON_NAME: "
+ $DAEMON_PATH -d -L- -l0 -s SSL:
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ] ; then
+ echo "OK"
+ touch /var/lock/subsys/$DAEMON_NAME
+ else
+ echo "FAIL"
+ fi
+ ;;
+
+ stop)
+ echo -n "Stopping $DAEMON_NAME: "
+ count=0
+ while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do
+ killproc $DAEMON_PATH >& /dev/null
+ sleep 1
+ RETVAL=$?
+ if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ sleep 3
+ fi
+ count=`expr $count + 1`
+ done
+ rm -f /var/lock/subsys/$DAEMON_NAME
+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ echo "FAIL"
+ else
+ echo "OK"
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ echo "$DAEMON_NAME is running"
+ else
+ echo "$DAEMON_NAME is not running"
+ fi
+ ;;
+
+ condrestart)
+ [ -f /var/lock/subsys/$DAEMON_NAME ] && $0 restart
+ ;;
+
+ *)
+ echo "usage: $0 { start | stop | restart | condrestart | status }"
+ ;;
+esac
+
+exit $RETVAL
+

File diff suppressed because it is too large Load Diff

View File

@ -0,0 +1,36 @@
DESCRIPTION = "Target Communication Framework"
HOMEPAGE = "http://dsdp.eclipse.org/dsdp/tm/"
BUGTRACKER = "https://bugs.eclipse.org/bugs/"
LICENSE = "EPLv1.0 | EDLv1.0"
LIC_FILES_CHKSUM = "file://../epl-v10.html;md5=7aa4215a330a0a4f6a1cbf8da1a0879f \
file://../agent/edl-v10.html;md5=522a390a83dc186513f0500543ad3679"
PV = "0.3.0+svnr${SRCREV}"
PR = "r0"
SRC_URI = "svn://dev.eclipse.org/svnroot/dsdp/org.eclipse.tm.tcf/;module=tags/0.3.0/;proto=http \
file://terminals_agent.patch \
file://fix_tcf-agent.init.patch"
S = "${WORKDIR}/tags/0.3.0/tcf-agent"
inherit update-rc.d
INITSCRIPT_NAME = "tcf-agent"
INITSCRIPT_PARAMS = "start 999 3 5 . stop 20 0 1 2 6 ."
# mangling needed for make
MAKE_ARCH = `echo ${TARGET_ARCH} | sed s,i.86,i686,`
MAKE_OS = `echo ${TARGET_OS} | sed s,linux,GNU/Linux,`
EXTRA_OEMAKE = "MACHINE=${MAKE_ARCH} OPSYS=${MAKE_OS} 'CC=${CC}' 'AR=${AR}'"
do_compile() {
oe_runmake
}
do_install() {
oe_runmake install INSTALLROOT=${D}
}